Bug 1162570 (CVE-2014-8501) - CVE-2014-8501 binutils: out-of-bounds write when parsing specially crafted PE executable
Summary: CVE-2014-8501 binutils: out-of-bounds write when parsing specially crafted PE...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8501
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20141026,reported=2...
Depends On: 1162581 1162574 1162575 1162576 1162577 1162578 1162580 1162582 1162583 1168281 1168302 1172710
Blocks: 1156276 1210268
TreeView+ depends on / blocked
 
Reported: 2014-11-11 11:05 UTC by Vasyl Kaigorodov
Modified: 2019-06-11 11:13 UTC (History)
22 users (show)

Fixed In Version: binutils 2.25
Doc Type: Bug Fix
Doc Text:
A stack-based buffer overflow flaw was found in the way various binutils utilities processed certain files. If a user were tricked into processing a specially crafted file, it could cause the utility used to process that file to crash or, potentially, execute arbitrary code with the privileges of the user running that utility.
Clone Of:
Environment:
Last Closed: 2019-06-08 02:35:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2079 normal SHIPPED_LIVE Moderate: binutils security, bug fix, and enhancement update 2015-11-19 07:41:11 UTC

Description Vasyl Kaigorodov 2014-11-11 11:05:58 UTC
It was reported [1] that running strings, nm or objdump on a constructed PE file [2] leads to out-of bounds write to an unitialized memory area.
Upstream path for this issue is at [3].

[1]: https://sourceware.org/bugzilla/show_bug.cgi?id=17512#c0
[2]: https://sourceware.org/bugzilla/attachment.cgi?id=7849
[3]: https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=7e1e19887abd24aeb15066b141cdff5541e0ec8e

Comment 1 Vasyl Kaigorodov 2014-11-11 11:10:12 UTC
Created mingw-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162578]
Affects: epel-all [bug 1162583]

Comment 2 Vasyl Kaigorodov 2014-11-11 11:10:16 UTC
Created avr-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162575]
Affects: epel-all [bug 1162581]

Comment 3 Vasyl Kaigorodov 2014-11-11 11:10:19 UTC
Created arm-none-eabi-binutils-cs tracking bugs for this issue:

Affects: fedora-all [bug 1162574]

Comment 4 Vasyl Kaigorodov 2014-11-11 11:10:22 UTC
Created msp430-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162580]

Comment 5 Vasyl Kaigorodov 2014-11-11 11:10:26 UTC
Created cross-binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162577]
Affects: epel-all [bug 1162582]

Comment 6 Vasyl Kaigorodov 2014-11-11 11:10:29 UTC
Created binutils tracking bugs for this issue:

Affects: fedora-all [bug 1162576]

Comment 7 Vasyl Kaigorodov 2014-11-26 14:39:25 UTC
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 9 Fedora Update System 2014-12-06 02:37:14 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2014-12-06 02:40:36 UTC
avr-binutils-2.24-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2014-12-06 10:04:23 UTC
avr-binutils-2.24-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2014-12-06 10:09:20 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2014-12-07 04:37:46 UTC
avr-binutils-2.24-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2014-12-07 04:39:41 UTC
arm-none-eabi-binutils-cs-2014.05.28-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Nick Clifton 2015-06-26 15:40:40 UTC
Hi Guys,

  The recently uploaded patch for BZ 1162594 also fixes this bug:

https://bugzilla.redhat.com/attachment.cgi?id=1043575&action=diff

Cheers
  Nick

Comment 18 errata-xmlrpc 2015-11-19 03:33:00 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2079 https://rhn.redhat.com/errata/RHSA-2015-2079.html


Note You need to log in before you can comment on or make changes to this bug.